Get a ticker
curl --request GET \
--url https://api.paperdrill.dev/v1/markets/{symbol}/tickerconst options = {method: 'GET'};
fetch('https://api.paperdrill.dev/v1/markets/{symbol}/ticker', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.paperdrill.dev/v1/markets/{symbol}/ticker"
response = requests.get(url)
print(response.text){
"event": "ticker",
"symbol": "SOL_USD",
"lastPrice": "125.50",
"openPrice": "122.10",
"high": "128.00",
"low": "120.25",
"volume": "340.50",
"quoteVolume": "42540.75",
"priceChange": "+3.40",
"priceChangePercent": 2.78,
"timestamp": "2026-09-19T12:00:00.000Z"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed",
"details": [
{
"field": "qty",
"message": "invalid decimal format"
}
]
},
"requestId": "f4c0baf4-b8d2-4c9a-a17b-c8656c4a7b0e"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed",
"details": [
{
"field": "qty",
"message": "invalid decimal format"
}
]
},
"requestId": "f4c0baf4-b8d2-4c9a-a17b-c8656c4a7b0e"
}Markets
Get a ticker
Returns the latest 24-hour ticker for one market.
GET
/
markets
/
{symbol}
/
ticker
Get a ticker
curl --request GET \
--url https://api.paperdrill.dev/v1/markets/{symbol}/tickerconst options = {method: 'GET'};
fetch('https://api.paperdrill.dev/v1/markets/{symbol}/ticker', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.paperdrill.dev/v1/markets/{symbol}/ticker"
response = requests.get(url)
print(response.text){
"event": "ticker",
"symbol": "SOL_USD",
"lastPrice": "125.50",
"openPrice": "122.10",
"high": "128.00",
"low": "120.25",
"volume": "340.50",
"quoteVolume": "42540.75",
"priceChange": "+3.40",
"priceChangePercent": 2.78,
"timestamp": "2026-09-19T12:00:00.000Z"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed",
"details": [
{
"field": "qty",
"message": "invalid decimal format"
}
]
},
"requestId": "f4c0baf4-b8d2-4c9a-a17b-c8656c4a7b0e"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed",
"details": [
{
"field": "qty",
"message": "invalid decimal format"
}
]
},
"requestId": "f4c0baf4-b8d2-4c9a-a17b-c8656c4a7b0e"
}Path Parameters
Market symbol in underscore form.
Response
Ticker returned successfully.
Allowed value:
"ticker"Example:
"SOL_USD"
A non-negative decimal encoded as a string.
Pattern:
^\d+(\.\d+)?$Example:
"125.50"
A non-negative decimal encoded as a string.
Pattern:
^\d+(\.\d+)?$Example:
"125.50"
A non-negative decimal encoded as a string.
Pattern:
^\d+(\.\d+)?$Example:
"125.50"
A non-negative decimal encoded as a string.
Pattern:
^\d+(\.\d+)?$Example:
"125.50"
A non-negative decimal encoded as a string.
Pattern:
^\d+(\.\d+)?$Example:
"125.50"
A non-negative decimal encoded as a string.
Pattern:
^\d+(\.\d+)?$Example:
"125.50"
A signed decimal encoded as a string.
Pattern:
^[+-]?\d+(\.\d+)?$Example:
"+3.40"